Bug 873372 - RHEVM - Installation: Upgrade from 3.0 to 3.1 fails: 'module' object has no attribute 'FILE_RHEVM_CONFIG_BIN'
RHEVM - Installation: Upgrade from 3.0 to 3.1 fails: 'module' object has no a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Alex Lourie
Pavel Stehlik
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 11:46 EST by Daniel Paikov
Modified: 2013-07-04 04:00 EDT (History)
9 users (show)

See Also:
Fixed In Version: si24.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ovirt-engine-upgrade (40.79 KB, application/x-compressed-tar)
2012-11-05 11:46 EST, Daniel Paikov
no flags Details

  None (edit)
Description Daniel Paikov 2012-11-05 11:46:32 EST
Created attachment 638743 [details]
ovirt-engine-upgrade

rhevm-upgrade from 3.0.8 to si24 fails with the following exception. Attaching log.


2012-11-05 18:38:51::ERROR::rhevm-upgrade::1285::root:: Traceback (most recent call last):
  File "/usr/bin/rhevm-upgrade", line 1278, in <module>
    main(options)
  File "/usr/bin/rhevm-upgrade", line 1219, in main
    runFunc(postFunc, MSG_INFO_RUN_POST)
  File "/usr/bin/rhevm-upgrade", line 661, in runFunc
    func()
  File "/usr/bin/rhevm-upgrade", line 649, in runPost30
    post.run()
  File "/usr/share/ovirt-engine/scripts/post_upgrade30.py", line 176, in run
    updateVdcPkiOptions()
  File "/usr/share/ovirt-engine/scripts/post_upgrade30.py", line 71, in updateVdcPkiOptions
    raise Exception(output_messages.ERR_FAILED_UPD_VDC_OPTIONS%(sys.exc_info()[1]))
Exception: Failed updating configuration parameter: 'module' object has no attribute 'FILE_RHEVM_CONFIG_BIN'
Comment 3 Daniel Paikov 2012-11-13 08:05:42 EST
Checked on si24.1.

Note You need to log in before you can comment on or make changes to this bug.